"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("core");
class PSNumber extends core_1.SObject {
}
exports.PSNumber = PSNumber;
class PSString extends core_1.SString {
}
exports.PSString = PSString;
class PSBoolean extends core_1.SBoolean {
    toString() {
        return this.value ? '$True' : '$False';
    }
}
exports.PSBoolean = PSBoolean;
class PSCustomObject extends core_1.SCustomObject {
    toString() {
        return `@${super.toString().replace(/:/g, '=').replace(/,/g, ';')}`;
    }
}
exports.PSCustomObject = PSCustomObject;
class PSArray extends core_1.SArray {
    toString() {
        return this.value.map((el) => core_1.convertTo(el, exports.PS_TYPES_MAP).toString()).join(',');
    }
}
exports.PSArray = PSArray;
class PSDate extends core_1.SDate {
}
exports.PSDate = PSDate;
class PSNull extends core_1.SNull {
    toString() {
        return '$Null';
    }
}
exports.PSNull = PSNull;
class PSUndefined extends core_1.SUndefined {
}
exports.PSUndefined = PSUndefined;
class PSError extends core_1.SObject {
}
exports.PSError = PSError;
exports.PS_TYPES_MAP = {
    [core_1.Types.Number]: PSNumber,
    [core_1.Types.String]: PSString,
    [core_1.Types.Boolean]: PSBoolean,
    [core_1.Types.Object]: PSCustomObject,
    [core_1.Types.Array]: PSArray,
    [core_1.Types.Date]: PSDate,
    [core_1.Types.Regexp]: PSString,
    [core_1.Types.Null]: PSNull,
    [core_1.Types.Undefined]: PSUndefined,
    [core_1.Types.Error]: PSError,
};
//# sourceMappingURL=PSTypeConverter.js.map