import { ShellCommandResult, Shell, ShellHooks } from 'core';
import { PSExecutableType } from './enums/PSExecutableType';
import { PSInvocationState } from './enums/PSInvocationState';
import { PowerShellOptions, PowerShellProcessOptions } from './options';
export declare class PowerShell extends Shell {
    invocationStateInfo: PSInvocationState;
    constructor(options?: PowerShellOptions);
    protected setExecutable({ pwsh, pwshPrev, executable, }: {
        pwsh?: boolean;
        pwshPrev?: boolean;
        executable?: PSExecutableType;
    }): string;
    private setExecutableSuffix;
    protected setProcessOptions({ processOptions, }: {
        processOptions?: PowerShellProcessOptions;
    }): string[];
    protected setHooks(): ShellHooks;
    protected writeToOut(input: string): string;
    protected writeToErr(input: string): string;
    dispose(): Promise<ShellCommandResult>;
}
