import { ProcessOptions, ShellOptions } from 'core';
import { PSExecutableType } from './enums/PSExecutableType';
export declare type PowerShellProcessOptions = ProcessOptions & Partial<{
    sta: boolean;
    mta: boolean;
    command: string;
    configurationName: string;
    customPipeName: string;
    encodedCommand: string;
    executionPolicy: string;
    file: string;
    help: boolean;
    inputFormat: string;
    noExit: boolean;
    noLogo: boolean;
    nonInteractive: boolean;
    noProfile: boolean;
    outputFormat: string;
    removeWorkingDirectoryTrailingCharacter: boolean;
    settingsFile: string;
    version: boolean;
    windowStyle: string;
    workingDirectory: string;
}>;
export declare type PowerShellOptions = ShellOptions & Partial<{
    port: string;
    pwsh: boolean;
    pwshPrev: boolean;
    executable: PSExecutableType;
    processOptions: PowerShellProcessOptions;
}>;
